ark74

Members
  • Content Count

    3
  • Joined

  • Last visited

 Content Type 

Forums

Member Map

Store

Crowdfunding

Raffles

Applications

Calendar

Everything posted by ark74

  1. Hi Chris, Thanks for your time and research. I've checked the packages list for armhf on jessie and stretch repository (debian repos, not armbian). The mongodb-server package is only listed on the jessie repository. It should explain why with a brand new install of armbian stretch, I have missing dependencies. Your HC1 is running armbian stretch or jessie ? Would you go into production with this old package ? Thanks
  2. Hi, I see your point, rookie mistake Thanks. As far as I know, there is no official package or ripository on MongoDB side for armhf. Sooo, if I want mongoDB up to date, I have to either : - Compile MongoDB myself on the XU4. Will Unifi be able to find it during installation with Apt (I see broken dependencies from a mile away) ? - Switch to Arch Linux, to which I understand nothing for now... Or, I'm just going to production with this old thingy.. I'm right ?
  3. Hi Armbian Users I'm french, so excuse my poor english I'm having hard times installing Ubiquiti Unifi Controller on Armbian (running on a XU4) Armbian version : Armbian_5.59_Odroidxu4_Debian_stretch_next_4.14.66 I followed different tutorial, but no luck with those no brain tutorial. I must be retarded MongoDB is giving me a hard time, broken dependencies and so on. I understood that some managed to do it with Armbian based on Ubuntu. No luck eitheir for me. I did add the mongodb repository for 3.6 version, which support arm64 architecture. Apt never gave me the ability to install the mongodb-org package and dependencies for this package. A few links : https://github.com/aryonp/unifi/blob/master/install_unifi_odroid_xu4.sh https://docs.mongodb.com/manual/tutorial/install-mongodb-on-ubuntu/ (followed the ubuntu 16.04 tutorial) https://forum.odroid.com/viewtopic.php?t=22850 https://help.ubnt.com/hc/en-us/articles/220066768-UniFi-How-to-Install-Update-via-APT-on-Debian-or-Ubuntu I could have left that here, but no.. My armbian.list : deb http://apt.armbian.com stretch main stretch-utils stretch-desktop # deb http://repo.mongodb.org/apt/debian stretch/mongodb-org/4.0 main deb [arch=amd64,arm64] http://repo.mongodb.org/apt/ubuntu xenial/mongodb-org/3.4 multiverse # deb [arch=amd64,arm64] https://repo.mongodb.org/apt/ubuntu xenial/mongodb-org/3.6 multiverse deb http://mirrordirector.raspbian.org/raspbian stretch main contrib non-free rpi The few commands that goes with it : apt-add-repository ppa:webupd8team/java apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys EEA14886 wget http://mirrordirector.raspbian.org/raspbian.public.key apt-key add raspbian.public.key sudo wget -O /etc/apt/trusted.gpg.d/unifi-repo.gpg https://dl.ubnt.com/unifi/unifi-repo.gpg apt update apt install unifi apt install oracle-java8-installer oracle-java8-set-default oracle-java8-unlimited-jce-policy systemctl enable unifi systemctl disable mongodb systemctl stop mongodb /etc/init.d/unifi start I end up with a Unifi Controller 5.8.30 working on Armbian (Debian), but... MongoDB is in version 2.4 and comes from raspbian repository ? Any thought on this ? Should I go an other way ? Thank you